use binrw::{BinRead, BinWrite};

#[derive(BinRead, BinWrite, Debug)]
pub struct LayerHeader {
    pub layer_count: u32,
    #[br(count = layer_count)]
    pub layers: Vec<Layer>,
}

#[derive(BinRead, BinWrite, Debug)]
pub struct Layer {}
